Skip to navigation

Deletes the master shipment

Deletes the specified master shipment from the system. Once deleted system cannot be recovered

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Path parameters

shipment-gccnstringRequiredformat: "^[A-Za-z0-9]{11}$"<=11 characters
The unique identifier of the shipment to delete the master shipment. It is also known as GCCN.
versionenumRequiredDefaults to v1
Indicates WorldEase Shipment Management API to display the new release features
Allowed values:

Headers

transIdstringRequiredformat: "^[a-fA-F0-9\-]+$"=32 characters
Client generated id which is treated as the Transaction ID
transactionSrcstringRequired<=512 characters

An identifier of the client/source application that is making the request.Length 512

Request

This endpoint expects an object.
shipperAccountNumberstringRequired
This is the unique account number associated with the Shipper. It is also known as UPS Shipper Account Number

Response

Successful Operation
codestring

Identifies the success or failure of the transaction. 1 = Successful

messagestring
Succesful text message

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error